Bug 46607 - EDITING: Background colors in HTML table cells are not copied from Firefox/Chrome on Mac OS X
Summary: EDITING: Background colors in HTML table cells are not copied from Firefox/Ch...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: HTML-Paste
  Show dependency treegraph
 
Reported: 2012-02-25 02:34 UTC by danielax
Modified: 2018-09-28 19:28 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description danielax 2012-02-25 02:34:56 UTC
Problem description: 

When attempting to paste in a HTML table copied from Firefox or Chrome on Mac OS X, the background colours of cells are lost.

Steps to reproduce:
0. Create a blank, empty spreadsheet.

1. With Firefox or Chrome, select and copy a table, or part thereof, that contains cells with a background colour. I'm using <http://dja.ucc.asn.au/spreadsheetbug.html> because I'm using it in another bug report (#46605). 
[Note you may need to tell your browser to view my page as unicode: the first column should be a triangle, not gibberish]

2. Click on A1, paste.

Current behavior:
Background colours are lost. All other formatting is OK.

Expected behavior:
The pasted table is equivalent to the HTML table. 

Note that pasting the same thing into TextEdit keeps the background colour, so it is making it into the clipboard and not getting dropped at the browser.

[This bug does not affect copying from Safari. However, copying from that results in a different bug: #46605.]

Platform (if different from the browser): Mac OS X 10.6.8
              
Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_6_8) AppleWebKit/535.11 (KHTML, like Gecko) Chrome/17.0.963.56 Safari/535.11
Also affects Firefox 10.0.2
Comment 1 sasha.libreoffice 2012-05-24 03:42:39 UTC
Thanks for bugreport
Reproduced in 3.3.4 and 3.5.3 on Fedora 64 bit and in 3.5.2 on Windows 7 32 bit
In both cases copied from Firefox
Changing version to 3.3.4 as most early reproducible

What is interesting: LibreWriter and msExcel 2007 paste this as plain text
Comment 2 retired 2014-12-11 11:33:21 UTC
works when pasting to excel 2011 for OSX

OSX 10.10.1, LO Version: 4.5.0.0.alpha0+
Build ID: 6e91763769a562b88882a4c2a94b1367c6ed4866
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2014-12-11_02:24:05
Locale: de_

persisting. no background color is pasted.
Comment 3 QA Administrators 2015-12-20 16:07:52 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-01-03 19:46:42 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103